{
    "security.workspace.trust.enabled": false,
    "workbench.startupEditor": "none",
    "[html]": {
        //"editor.formatOnSave": true
    },
    "atomKeymap.promptV3Features": true,
    "editor.multiCursorModifier": "ctrlCmd",
    "editor.formatOnPaste": true,
    "git.enableSmartCommit": true,
    "git.confirmSync": false,
    "git.autofetch": true,
    "intelephense.format.braces": "k&r",
    "polacode.transparentBackground": true,
    "editor.formatOnSave": true,
    "files.associations": {
        "*.ctest": "c",
        "*.cc": "cpp",
        "*.hh": "cpp",
        "*.h": "c",
        "*.tih": "pascal",
        "*.tig": "pascal"
    },
    "editor.fontFamily": "'FiraCode Nerd Font', 'Droid Sans Mono', 'monospace', monospace",
    "editor.fontLigatures": true,
    "extensions.ignoreRecommendations": true,
    "window.menuBarVisibility": "toggle",
    "editor.rulers": [
        120
    ],
    "[python]": {
        "editor.formatOnType": true
    },
    "update.showReleaseNotes": false,
    "git.openRepositoryInParentFolders": "always",
    "editor.inlineSuggest.enabled": true,
    "github.copilot.enable": {
        "*": true,
        "plaintext": true,
        "markdown": true,
        "scminput": false,
        "yaml": false
    },
    "editor.formatOnSaveMode": "file",
    "explorer.confirmDelete": false,
    "editor.inlineSuggest.showToolbar": "always",
    "c-cpp-flylint.clang.language": "C++",
    "c-cpp-flylint.cppcheck.standard": [
        "c++20"
    ],
    "c-cpp-flylint.clang.standard": [
        "c++20"
    ],
    "editor.inlayHints.enabled": "off",
    "editor.detectIndentation": false,
    "[c]": {
        "editor.defaultFormatter": "xaver.clang-format"
    },
    "[cpp]": {
        "editor.defaultFormatter": "xaver.clang-format"
    },
    "c-cpp-flylint.flawfinder.enable": false,
    "c-cpp-flylint.flexelint.enable": false,
    "c-cpp-flylint.lizard.enable": false,
    "c-cpp-flylint.clang.enable": false,
    "haskell.manageHLS": "GHCup",
    "redhat.telemetry.enabled": false,
    "[java]": {
        "editor.defaultFormatter": "redhat.java"
    },
    "editor.largeFileOptimizations": false,
    "github.copilot.editor.enableAutoCompletions": true
}